import json
import os
import tkinter as tk
from tkinter import ttk

path = "data/team.json"

def loadTeams():
    teams = {}
    if os.path.exists(path):
        file = open(path, "r")
        teams = json.loads(file.read())
        file.close()
    return teams

def saveTeam(name, country):
    teams = loadTeams()
    team = {
        "name": name,
        "country": country
    }
    teams[name] = team

    file = open(path, "w")
    file.write(json.dumps(teams))
    file.close()

class TeamsPage(tk.Frame):
    def __init__(self, parent, controller):
        tk.Frame.__init__(self, parent)

        teams = loadTeams()

        teamKey = tk.StringVar()
        teamSelector = ttk.Combobox(self, textvariable=teamKey, values=list(teams.keys()))
        teamSelector.grid(column=1, row=1)#, sticky="ew")
        if len(teams) == 0:
            teamSelector.state(["readonly"])
        
        tk.Button(self, text="New Team", command=lambda: controller.showFrame(EditTeamPage)).grid(column=1, row=2)#, sticky="ew")

class EditTeamPage(tk.Frame):
    def __init__(self, parent, controller, team=None):
        tk.Frame.__init__(self, parent)
    
        teamName = tk.StringVar()
        teamCountry = tk.StringVar()

        if (team != None):
            teamName.set(team.name)
            teamCountry.set(team.value)

        label = tk.Label(parent, text="Name:")
        # .grid(column=0, row=1)
        label.pack()
        entry = tk.Entry(parent, textvariable=teamName)
        # .grid(column=0, row=0)
        entry.pack()
        tk.Label(parent, text="Country:").grid(column=0, row=2)
        tk.Entry(parent, textvariable=teamCountry).grid(column=0, row=2)
        
        tk.Button(parent, text="Save", command=lambda: saveTeam(teamName.get(), teamCountry.get()))#.grid(column=2, row=3)


